Subject: Re: [RFC][PATCH -mm take4 2/6] support multiple logging

From: Keiichi KII <[email-masked]>
Date: Tue, 24 Apr 2007 17:14:50 +0900

>> We don't really have anything that corresponds to netpoll's
>> connections at higher levels.
>>
>> I'm tempted to say we should make this work more like the dummy
>> network device. ie:
>>
>> modprobe netconsole -o netcon1 [params]
>> modprobe netconsole -o netcon2 [params]
> 
> The configuration of netconsole's looks like the configuration of routes.
> Granted you probably have more routes than netconsoles, but the interface
> issues are similar.  Netlink with a small application wouldn't be nice.
> And having /proc/net/netconsole (read-only) would be good for the netlink
> impaired.

Do you say that we had better use procfs instead of sysfs to show the 
configurations of netconsole?

If so, I have a question.
I thought that "procfs use things related to process as far as possible".
Is it no problem to use procfs here? 

-- 
Keiichi KII
NEC Corporation OSS Promotion Center
E-mail: [email-masked]